Loading...
Searching...
No Matches
wayland::zwp_text_input_v1_content_hint Struct Reference

content hint More...

`#include <wayland-client-protocol-unstable.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 10, 23 > | none {0x0}
| no special behaviour
static const wayland::detail::bitfield< 10, 23 > | _default {0x7}
| auto completion, correction and capitalization
static const wayland::detail::bitfield< 10, 23 > | password {0xc0}
| hidden and sensitive text
static const wayland::detail::bitfield< 10, 23 > | auto_completion {0x1}
| suggest word completions
static const wayland::detail::bitfield< 10, 23 > | auto_correction {0x2}
| suggest word corrections
static const wayland::detail::bitfield< 10, 23 > | auto_capitalization {0x4}
| switch to uppercase letters at the start of a sentence
static const wayland::detail::bitfield< 10, 23 > | lowercase {0x8}
| prefer lowercase letters
static const wayland::detail::bitfield< 10, 23 > | uppercase {0x10}
| prefer uppercase letters
static const wayland::detail::bitfield< 10, 23 > | titlecase {0x20}
| prefer casing for titles and headings (can be language dependent)
static const wayland::detail::bitfield< 10, 23 > | hidden_text {0x40}
| characters should be hidden
static const wayland::detail::bitfield< 10, 23 > | sensitive_data {0x80}
| typed text should not be stored
static const wayland::detail::bitfield< 10, 23 > | latin {0x100}
| just latin characters should be entered
static const wayland::detail::bitfield< 10, 23 > | multiline {0x200}
| the text input is multiline

## Detailed Description

content hint

Content hint is a bitmask to allow to modify the behavior of the text input.

Definition at line 5990 of file wayland-client-protocol-unstable.hpp.

## Member Data Documentation

## _default

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::_default {0x7}

static

auto completion, correction and capitalization

Definition at line 5999 of file wayland-client-protocol-unstable.hpp.

## auto_capitalization

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::auto_capitalization {0x4}

static

switch to uppercase letters at the start of a sentence

Definition at line 6007 of file wayland-client-protocol-unstable.hpp.

## auto_completion

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::auto_completion {0x1}

static

suggest word completions

Definition at line 6003 of file wayland-client-protocol-unstable.hpp.

## auto_correction

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::auto_correction {0x2}

static

suggest word corrections

Definition at line 6005 of file wayland-client-protocol-unstable.hpp.

## hidden_text

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::hidden_text {0x40}

static

characters should be hidden

Definition at line 6015 of file wayland-client-protocol-unstable.hpp.

## latin

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::latin {0x100}

static

just latin characters should be entered

Definition at line 6019 of file wayland-client-protocol-unstable.hpp.

## lowercase

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::lowercase {0x8}

static

prefer lowercase letters

Definition at line 6009 of file wayland-client-protocol-unstable.hpp.

## multiline

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::multiline {0x200}

static

the text input is multiline

Definition at line 6021 of file wayland-client-protocol-unstable.hpp.

## none

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::none {0x0}

static

no special behaviour

Definition at line 5997 of file wayland-client-protocol-unstable.hpp.

## password

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::password {0xc0}

static

hidden and sensitive text

Definition at line 6001 of file wayland-client-protocol-unstable.hpp.

## sensitive_data

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::sensitive_data {0x80}

static

typed text should not be stored

Definition at line 6017 of file wayland-client-protocol-unstable.hpp.

## titlecase

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::titlecase {0x20}

static

prefer casing for titles and headings (can be language dependent)

Definition at line 6013 of file wayland-client-protocol-unstable.hpp.

## uppercase

const bitfield< 10, 23 > zwp_text_input_v1_content_hint::uppercase {0x10}

static

prefer uppercase letters

Definition at line 6011 of file wayland-client-protocol-unstable.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol-unstable.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp